| xmonad-contrib-0.8.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Layout.Spiral

Portability | portable
Stability | stable
Maintainer | Joe Thornber <joe.thornber@gmail.com>

Contents

Usage

Description
A spiral tiling layout.
Synopsis

spiral :: Rational -> SpiralWithDir a
spiralWithDir :: Direction -> Rotation -> Rational -> SpiralWithDir a

data Rotation

= CW
| CCW

data Direction

= East
| South
| West
| North

Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Layout.Spiral

Then edit your `layoutHook` by adding the Spiral layout:

     myLayouts =  spiral (6/7) ||| etc..
     main = xmonad defaultConfig { layoutHook = myLayouts }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

spiral :: Rational -> SpiralWithDir a | Source

A spiral layout. The parameter controls the size ratio between successive windows in the spiral. Sensible values range from 0 up to the aspect ratio of your monitor (often 4/3). By default, the spiral is counterclockwise, starting to the east. See also `spiralWithDir`.

spiralWithDir :: Direction -> Rotation -> Rational -> SpiralWithDir a | Source

Create a spiral layout, specifying the starting cardinal direction, the spiral direction (clockwise or counterclockwise), and the size ratio.

data Rotation | Source

Constructors

CW |
CCW |

Instances

Read Rotation
Show Rotation

data Direction | Source

Constructors

East |
South |
West |
North |

Instances

Enum Direction
Eq Direction
Read Direction
Show Direction

Produced by Haddock version 2.4.2